package com.flyfish.framework.validation.spi;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * 指定动态分组
 * @author wangyu
 */
@Target({TYPE})
@Retention(RUNTIME)
@Documented
public @interface ConditionalGroup {

    Class<? extends ConditionalValidGroupProvider<?>>[] value() default {};
}
