package com.flyfish.framework.dict.service;


import com.flyfish.framework.dict.domain.Dictionary;
import com.flyfish.framework.dict.repository.DictionaryRepository;
import com.flyfish.framework.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Optional;

/**
 * 字典表服务
 *
 * @author wangyu
 */
@Service
public class DictionaryService extends BaseServiceImpl<Dictionary> {

    /**
     * 通过code查询
     *
     * @return 结果
     */
    public Optional<Dictionary> getByCode(String code) {
        DictionaryRepository repository = this.getRepository();
        return repository.findByCode(code);
    }
}
